Addresses
Start automatic address verification
Initiate automatic verification of an entity address using a phone number; an OTP will be sent for confirmation
POST
/
entities
/
{entityId}
/
addresses
/
automatic
/
start
Start automatic address verification
curl --request POST \
--url https://app.api.getdal.sa/services/crm/entities/{entityId}/addresses/automatic/start \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-tenant: <x-tenant>' \
--data '
{
"countryCode": "966",
"phoneNumber": "512345678"
}
'import requests
url = "https://app.api.getdal.sa/services/crm/entities/{entityId}/addresses/automatic/start"
payload = {
"countryCode": "966",
"phoneNumber": "512345678"
}
headers = {
"x-tenant": "<x-tenant>",
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-tenant': '<x-tenant>',
'x-api-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({countryCode: '966', phoneNumber: '512345678'})
};
fetch('https://app.api.getdal.sa/services/crm/entities/{entityId}/addresses/automatic/start', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"otp": "Valid",
"data": [
{
"id": "b50c7893-cd88-42bd-9fdd-b94f493315f9",
"createdAt": "2025-12-02 12:00:00.000",
"updatedAt": "2025-12-04 12:00:00.000",
"district": "Al Olaya",
"districtArea": "Central Riyadh",
"districtName": "King Fahd Road",
"locationX": "24.7136",
"locationY": "46.6753",
"locationZ": "1",
"phoneNumber": "+966501234567",
"streetNameEn": "King Abdullah Street",
"streetNameAr": "شارع الملك عبدالله",
"latitude": "24.7136",
"longitude": "46.6753",
"unitNumber": "305",
"unitTypeId": "apt-ksa-01",
"shortCode": "RRRDD2929",
"status": "Submitted",
"source": "Automatic",
"category": "Local",
"fullAddress": "123 King Fahd Road, Al Olaya, Riyadh, Saudi Arabia",
"attachment": {
"id": "b50c7893-cd88-42bd-9fdd-b94f493315f9",
"createdAt": "2025-12-02 12:00:00.000",
"updatedAt": "2025-12-04 12:00:00.000",
"name": "logo.png",
"mimeType": "image/png",
"size": "1436",
"createdBy": {
"id": "b50c7893-cd88-42bd-9fdd-b94f493315f9",
"createdAt": "2025-12-02 12:00:00.000",
"updatedAt": "2025-12-04 12:00:00.000",
"email": "<string>",
"displayName": "<string>",
"roleId": "<string>"
}
},
"city": {
"id": "b50c7893-cd88-42bd-9fdd-b94f493315f9",
"createdAt": "2025-12-02 12:00:00.000",
"updatedAt": "2025-12-04 12:00:00.000",
"nameEn": "Riyadh",
"nameAr": "الرياض"
}
}
]
}{
"errorCode": "NOT_FOUND",
"message": {
"en": "The requested record was not found",
"ar": "لم يتم العثور على السجل المطلوب"
},
"validationErrors": [
"<string>"
]
}{
"errorCode": "NOT_FOUND",
"message": {
"en": "The requested record was not found",
"ar": "لم يتم العثور على السجل المطلوب"
}
}{
"errorCode": "NOT_FOUND",
"message": {
"en": "The requested record was not found",
"ar": "لم يتم العثور على السجل المطلوب"
}
}{
"errorCode": "NOT_FOUND",
"message": {
"en": "The requested record was not found",
"ar": "لم يتم العثور على السجل المطلوب"
}
}Authorizations
Headers
Tenant identifier
Path Parameters
Body
application/json
⌘I
Start automatic address verification
